Subject: Re: [PATCHv2 3/9] macb: unify at91 and avr32 platform data

From: Peter Korsgaard <[email-masked]>
Date: Thu, 17 Mar 2011 09:48:28 +0100

>>>>> "avictor" == avictor za@gmail com <[email-masked]> writes:

Hi,

 >> How about at the same time renaming it to something a bit less
 >> generic like macb_platform_data?

 avictor> The AT91RM9200 uses the same platform_data structure, but has a
 avictor> different Ethernet peripheral (ie, not the MACB)

 avictor> The phy_irq_pin is used in the AT91RM9200 ethernet driver.
 avictor> (drivers/net/arm/at91_ether.c)

That should probably be cleaned up as well then. Sharing platform_data
structures between unrelated drivers seems like quite a mess to me.

-- 
Bye, Peter Korsgaard